
require "../rb2html/ruby_lexer.rb"

def print_tokens(ary)
  ary.each {|t|
    print "#{t.symbol}, #{t.text}\n"
  }
end

def test0
  lex = Rb2HTML::RubyLexer.new
  s = File.read('data/ruby_1.rb')
  d = lex.parse(s)
  print_tokens(d)
end

def test1
  lex = Rb2HTML::RubyLexer.new
  s = File.read('data/ruby_2.rb')
  print_tokens(lex.parse(s))
end

def test2
  lex = Rb2HTML::RubyLexer.new
  print_tokens(lex.parse('p %Q(foo), %q[bar], %r!hoge!, %s<funi>'))
end

# ̎WJ
def test3
  lex = Rb2HTML::RubyLexer.new
  script = File.read('data/ruby_3.rb')
  print_tokens(lex.parse(script))
end

# K\e'/'Zq
def test4
  lex = Rb2HTML::RubyLexer.new
  script = File.read('data/ruby_4.rb')
  print_tokens(lex.parse(script))
end

# '%'Zq%L@
def test5
  lex = Rb2HTML::RubyLexer.new
  script = File.read('data/ruby_5.rb')
  print_tokens(lex.parse(script))
end

#test0
#test1
test2
#test3
#test4
#test5
